Subject: [PATCH 5/5] arm/perfevents: implement perf event support for ARMv6

From: [email-masked] (Will Deacon)
Date: Mon, 14 Dec 2009 16:24:31 -0000

* Jamie Iles wrote:

> > Why are you modifying mm/Kconfig? I think it would be better to change the
> > Makefile to use CONFIG_HAVE_PERF_EVENTS rather than define a new bool.
> Because this bool says that we support hardware perf events. If it isn't set,
> we can still do perf events, but only the software variety. This allows us to
> do software events for ARMv5 and earlier, but also do hardware counter support
> where available.

Ok, sorry I missed that. I still feel that it should be in the top-level ARM 
Kconfig instead of the mm/Kconfig though.

Will